Loading...
Searching...
No Matches
pqxx::string_traits< pqxx::internal::encoding_group > Struct Reference
Inheritance diagram for pqxx::string_traits< pqxx::internal::encoding_group >:
[legend]
Collaboration diagram for pqxx::string_traits< pqxx::internal::encoding_group >:
[legend]

## Additional Inherited Members

Public Types inherited from pqxx::internal::enum_traits< pqxx::internal::encoding_group >
using | impl_type = std::underlying_type_t< pqxx::internal::encoding_group >
using | impl_traits = string_traits< impl_type >
Static Public Member Functions inherited from pqxx::internal::enum_traits< pqxx::internal::encoding_group >
static constexpr zview | to_buf (char *begin, char *end, pqxx::internal::encoding_group const &value)
static constexpr char * | into_buf (char *begin, char *end, pqxx::internal::encoding_group const &value)
static pqxx::internal::encoding_group | from_string (std::string_view text)
static std::size_t | size_buffer (pqxx::internal::encoding_group const &value) noexcept
Static Public Attributes inherited from pqxx::internal::enum_traits< pqxx::internal::encoding_group >
static constexpr bool | converts_to_string
static constexpr bool | converts_from_string

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/encodings.hxx